Loading...
Searching...
No Matches
Play Struct Reference
Internal implementation detail » Audio playback and recording implementation

`Audio` playback state data More...

Inheritance diagram for Play:
Collaboration diagram for Play:

## Public Types

typedef std::vector< Play > | List
| Container type for a list of playback states.

## Static Public Attributes

static List | list
| Container for a list of playback states.

## Additional Inherited Members

Public Member Functions inherited from Audio
| Audio ()
| Default constructor.
| ~Audio ()
| Default destructor.
Public Attributes inherited from Audio
string | term_digits
| digits which terminate collection
AudioCompress | mode
| current play mode
AudioState | state
| current state
float | hw_gain
| hardware gain parameter
float | sw_gain
| software gain parameter
float | linear_gain
| linear gain
pthread_mutex_t | mutex
| global state protection
pthread_cond_t | cond
| state change signalling

## Detailed Description

`Audio` playback state data